# vue 插件—-人群筛选器
>>> HEAD

> A Vue.js filter people Plugin


## Install
```shell
npm install @gic-test/vue-gic-people -S
```

## how to use
```
// main.js
import vueGicPeople from '@gic-test/vue-gic-people'

Vue.use(vueGicPeople)

// 使用页面
<vue-gic-people :projectName="projectName" :useId="useId" :hasSearchData="hasSearchData" :sceneValue="sceneValue" ref="peopleFilter" @findFilter="findFilter" @getBackData="getBackData" @editHide= "editHide" @editShow="editShow" @hideBtn="hideBtn"></vue-gic-people>

// 按钮根据当前使用场景设置,有的无保存
<div v-if="toggleTag">
  <button @click="getData">确定</button>
  <button @click="cancelFilter">取消</button>
</div>
<div v-if="saveTag">
  <button @click="saveTempData">保存</button>
</div>

data() {
  return {
    // 可传参数
    projectName: '', // 当前项目名
    sceneValue: 'member', // 场景值
    useId: '', // 模板id
    hasSearchData: '' , // 当前页回显的数据(接口返回)

    toggleTag: false, // 控制(确认取消)按钮显示的参数,仅供参考,可自行修改
    saveTag: false,  // 控制(保存)按钮显示的参数,仅供参考,可自行修改
  }
},

beforeMount() {
  // (如果需要传递数据)请求的数据最好在这里写
},

methods: {
  // 父组件调用子组件方法,触发父组件事件
  getData() {
    var that = this
    that.$refs.peopleFilter.confirmSet()
  },

  // 子组件触发父组件事件,返回过滤条件数据
  findFilter(value){
    var that = this
    console.log(value)
  },

  // 取消
  cancelFilter(){
    var that = this
    that.$refs.peopleFilter.cancelSet()
  },

  // 获取需要回显的数据, 供保存时候使用
  getBackData(val) {
    var that = this
    console.log(val)
    that.getSaveData = val;
  },

  // 显示编辑,保存按钮隐藏,确认按钮显示 (子组件会调用)
  editShow() {
    var that = this
    console.log('editShow')
    that.toggleTag= true
    that.saveTag = false
  },

  // 显示保存按钮,隐藏确认按钮显示  (子组件会调用)
  editHide() {
    var that = this
    console.log('editHide')
    that.toggleTag = false
    that.saveTag = true
  },

  // 隐藏保存按钮和确认按钮  (子组件会调用)
  hideBtn() {
    var that = this
    that.toggleTag= false;
    that.saveTag = false
  },

  // 保存当前模板,对接保存接口
  saveTempData() {
    var that = this
    console.log('save')
  }
}

```

